Subject: Re: [PATCH] format-patch: assume --cover-letter for diff in multi-patch series

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Jun 2024 10:32:46 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Tue, Jun 04, 2024 at 12:49:35AM +0200, Rubén Justo wrote:
>> If either `--interdiff` or `--range-diff` is specified without
>> `--cover-letter`, we'll abort if it would result in a multi-patch series
>> being generated.  Because the cover-letter is needed to give the diff
>> text in a multi-patch series.
>> 
>> Considering that `format-patch` generates a multi-patch as needed, let's
>> adopt a similar "cover as necessary" approach when using `--interdiff`
>> or `--range-diff`.
>
> What does git-format-patch(1) do right now in this situation?
>
> In any case, this change should probably have a test or two to
> demonstrate that it works as advertised.

Yes.  I think the existing tests for giving --interdiff to a single
patch series serves as the "it does not trigger when it shouldn't"
side of the test, so a positive "it does what it claims to do" test
should be sufficient.

Thanks.